Package sop.cli.picocli

# Class SOPExecutionExceptionHandler

java.lang.Object
sop.cli.picocli.SOPExecutionExceptionHandler

All Implemented Interfaces:
  `picocli.CommandLine.IExecutionExceptionHandler`

public class SOPExecutionExceptionHandler extends Object implements picocli.CommandLine.IExecutionExceptionHandler

## Constructor Summary

Constructors
Constructor
Description
`SOPExecutionExceptionHandler()`

## Method Summary

Modifier and Type
Method
Description
`int`
`handleExecutionException(Exception ex, picocli.CommandLine commandLine, picocli.CommandLine.ParseResult parseResult)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SOPExecutionExceptionHandler

public SOPExecutionExceptionHandler()

## Method Details

### handleExecutionException

public int handleExecutionException(Exception ex, picocli.CommandLine commandLine, picocli.CommandLine.ParseResult parseResult)

Specified by:
  `handleExecutionException` in interface `picocli.CommandLine.IExecutionExceptionHandler`